Last Comment Bug 1020137 - Clean up use cases of mozL10n.localize
: Clean up use cases of mozL10n.localize
Status: RESOLVED FIXED
[good first bug]
:
Product: Firefox OS
Classification: Client Software
Component: Gaia::L10n (show other bugs)
: unspecified
: x86 All
P3 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors: Zibi Braniecki [:gandalf][:zibi]
Depends on: 992473 994519 1037637 1041403 1043615 1047347 1052136 1057795 1057798 1058985 1073893 1088364
Blocks: 999779 1083840
  Show dependency treegraph
 
Reported: 2014-06-04 00:36 PDT by Zibi Braniecki [:gandalf][:zibi]
Modified: 2014-10-23 15:59 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

User Story
Migrate all mozL10n.localize use cases to:

if no l10nArgs: node.setAttribute('data-l10n-id', l10nId);

if l10nArgs: navigator.mozL10n.setAttributes(node, l10nId, l10nArgs);      
Description User image Zibi Braniecki [:gandalf][:zibi] 2014-06-04 00:36:53 PDT
Once bug 992473 and bug 994519 are fixed, we should clean up uses of mozL10n.localize

There are 84 uses in gaia apps, and I suspect that most of them should stay, but they may have redundant code (that applies content to node etc.).
Comment 1 User image Zibi Braniecki [:gandalf][:zibi] 2014-06-11 09:00:48 PDT

*** This bug has been marked as a duplicate of bug 994519 ***
Comment 2 User image Zibi Braniecki [:gandalf][:zibi] 2014-06-27 11:04:50 PDT
we want to split this work into two chunks:

 - add the updated API in bug 994519
 - convert the uses of localize and remove it in this bug.
Comment 3 User image Zibi Braniecki [:gandalf][:zibi] 2014-07-03 09:28:00 PDT
Marking as good first bug.

All we have to do here is find all uses of mozL10n.localize and replace them with mozL10n.setAttributes.
Comment 4 User image Gaurav Mittal (gauravmittal1995) 2014-08-23 17:18:16 PDT
I would like to work on this bug! can you assign this to me!
Comment 5 User image Zibi Braniecki [:gandalf][:zibi] 2014-10-18 03:38:29 PDT
We're done with mozL10n.localize! Thanks everyone who has helped with patches and reviews :)

Note You need to log in before you can comment on or make changes to this bug.